Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model
Interface VDomainModelReference

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ModelChangeListener, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  DynamicContainmentTreeDomainModelReference, VCustomDomainModelReference, VFeaturePathDomainModelReference, VIndexDomainModelReference, VKeyAttributeDomainModelReference, VMappingDomainModelReference, VTableDomainModelReference

All Known Implementing Classes:
  DynamicContainmentTreeDomainModelReferenceImpl, VCustomDomainModelReferenceImpl, VFeaturePathDomainModelReferenceImpl, VIndexDomainModelReferenceImpl, VKeyAttributeDomainModelReferenceImpl, VMappingDomainModelReferenceImpl, VTableDomainModelReferenceImpl

    public interface VDomainModelReference

extends org.eclipse.emf.ecore.EObject, ModelChangeListener

A representation of the model object 'VDomain Model Reference'.

See Also:
  `VViewPackage.getDomainModelReference()`

Method Summary
`org.eclipse.emf.common.util.EList<DomainModelReferenceChangeListener>` | `getChangeListener()` Deprecated.
`Iterator<org.eclipse.emf.ecore.EStructuralFeature>` | `getEStructuralFeatureIterator()` Deprecated.
`Iterator<SettingPath>` | `getFullPathIterator()` Deprecated.
`Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting>` | `getIterator()` Deprecated.
`boolean` | `init(org.eclipse.emf.ecore.EObject object)` Deprecated.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.ModelChangeListener
`notifyChange`

Method Detail

### getChangeListener

    @Deprecated
    org.eclipse.emf.common.util.EList<DomainModelReferenceChangeListener> getChangeListener()

  Deprecated.

  Returns the value of the 'Change Listener' attribute list. The list contents are of type `DomainModelReferenceChangeListener`.

  If the meaning of the 'Change Listener' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Change Listener' attribute list.
  Since:
    1.3
  See Also:
    `VViewPackage.getDomainModelReference_ChangeListener()`

### init

    @Deprecated
    boolean init(org.eclipse.emf.ecore.EObject object)

  Deprecated.

  Resolve attempts to resolve the domain model reference. If it fails existing results will be kept. Thus even after a failed resolution the iterator might not be empty.

  Parameters:
    `eObject` - the root domain model to use to resolve the path
  Returns:
    true if resolution succeeded and false otherwise
  Since:
    1.3

### getIterator

    @Deprecated
    Iterator<org.eclipse.emf.ecore.EStructuralFeature.Setting> getIterator()

  Deprecated.

  Returns an iterator allowing to iterate over found settings for this domain model reference. Will return an empty Iterator if resolve was not successfully completed.

  Returns:
    the `Iterator` for this domain model reference

### getEStructuralFeatureIterator

    @Deprecated
    Iterator<org.eclipse.emf.ecore.EStructuralFeature> getEStructuralFeatureIterator()

  Deprecated.

  Returns an iterator allowing to iterate overall `EStructuralFeatures` of this domain model reference.

  Returns:
    the `Iterator` over all `EStructuralFeatures` for this domain model reference
  Since:
    1.3

### getFullPathIterator

    @Deprecated
    Iterator<SettingPath> getFullPathIterator()

  Deprecated.

  Returns an iterator allowing to iterate over all setting paths for this domain model reference. Will return an empty Iterator if resolve was not successfully completed.

  Returns:
    the `Iterator` over setting paths for this domain model reference
  Since:
    1.3

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.